<?php
/**
* DIコンポーネントやコンテナから参照可能なリソースの場所を管理するクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_ResourceLocator
{

	/*
	 * CHARCOAL_HOME以下のリソースのパスを取得
	 */
	public static function getSystemPath( $root, $filename = NULL )
	{
		$path = CHARCOAL_HOME . '/' . $root;

		if ( $filename ){
			$path .= "/$filename";
		}

		return $path;
	}

	/*
	 * web_app以下のリソースのパスを取得
	 */
	public static function getWebAppPath( $root, $filename = NULL )
	{
		$path = WEBAPP_DIR . '/' . APPLICATION . '/' . $root;

		if ( $filename ){
			$path .= "/$filename";
		}

		return $path;
	}
}
